Package org.bukkit.inventory

# Interface SmithingInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface SmithingInventory extends Inventory
Interface to the inventory of a Smithing table.

## Method Summary

Modifier and Type
Method
Description
`default @Nullable ItemStack`
`getInputEquipment()`
Gets the input equipment (first slot).
`default @Nullable ItemStack`
`getInputMineral()`
Gets the input mineral (second slot).
`@Nullable Recipe`
`getRecipe()`
Get the current recipe formed on the smithing table, if any.
`@Nullable ItemStack`
`getResult()`
Check what item is in the result slot of this smithing table.
`default void`
`setInputEquipment(@Nullable ItemStack itemStack)`
Sets the input equipment (first slot).
`default void`
`setInputMineral(@Nullable ItemStack itemStack)`
Sets the input mineral (second slot).
`void`
`setResult(@Nullable ItemStack newResult)`
Set the item in the result slot of the smithing table

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getResult

@Nullable @Nullable ItemStack getResult()
Check what item is in the result slot of this smithing table.

Returns:
  the result item

### setResult

void setResult(@Nullable @Nullable ItemStack newResult)
Set the item in the result slot of the smithing table

Parameters:
  `newResult` - the new result item

### getRecipe

@Nullable @Nullable Recipe getRecipe()
Get the current recipe formed on the smithing table, if any.

Returns:
  the recipe, or null if the current contents don't match any recipe

### getInputEquipment

@Nullable default @Nullable ItemStack getInputEquipment()
Gets the input equipment (first slot).

Returns:
  input equipment item

### setInputEquipment

default void setInputEquipment(@Nullable @Nullable ItemStack itemStack)
Sets the input equipment (first slot).

Parameters:
  `itemStack` - item to set

### getInputMineral

@Nullable default @Nullable ItemStack getInputMineral()
Gets the input mineral (second slot).

Returns:
  input mineral item

### setInputMineral

default void setInputMineral(@Nullable @Nullable ItemStack itemStack)
Sets the input mineral (second slot).

Parameters:
  `itemStack` - item to set